import React, {useState} from 'react';
import {View, Text, Image, TouchableOpacity} from 'react-native';
import Slider from '@react-native-community/slider';
import {styles} from '../pages/start/view/style';
import ic_play from '../assets/images/ic_play.png';
import ic_pause from '../assets/images/ic_pause.png';
import song_nhac from '../assets/images/song_nhac.png';

export const Player = (props) => {
  const {action} = props;
  const [isPlay, setPlay] = useState(true);

  const actionAudio = () => {
    setPlay(!isPlay);
    action(isPlay);
  };

  return (
    <View style={styles.viewPlayer}>
      <TouchableOpacity onPress={actionAudio}>
        <Image
          source={isPlay ? ic_pause : ic_play}
          style={styles.iconPlayPause}
        />
      </TouchableOpacity>
      <Image source={song_nhac} style={{flex: 1, height: 50, opacity: 0.3}} />
    </View>
  );
};
