import {StyleSheet, Dimensions, Platform} from 'react-native';
const {width, height} = Dimensions.get('window');
import * as colors from '../../assets/colors';
import {
  widthPercentageToDP as wp,
  heightPercentageToDP as hp,
} from 'react-native-responsive-screen';

export const styles = StyleSheet.create({
  // Set width and height to the screen size
  fullScreen: {
    width: width,
    minHeight: height,
  },
  // Main container
  container: {
    backgroundColor: '#fff',
    position: 'relative',
  },
  // Slide
  slide: {
    backgroundColor: 'transparent',
    minHeight: height / 2,
    width: width,
  },
  // Pagination indicators
  question: {
    // paddingHorizontal: 20,
    position: 'absolute',
    top: Platform.OS === 'ios' ? wp('0.5%') : wp('0.2%'),
    left: hp('1%'),
    // alignItems: 'flex-start',
    // backgroundColor: '#fff',
  },
  countDown: {
    padding: 10,
    position: 'absolute',
    top: '3%',
    left: 0,
    right: 0,
    flex: 1,
    alignItems: 'center',
    backgroundColor: 'transparent',
  },
  // Pagination dot
  dot: {
    backgroundColor: 'rgba(0,0,0,.25)',
    width: 6,
    height: 8,
    borderRadius: 4,
    marginLeft: 3,
    marginRight: 3,
    marginTop: 3,
    marginBottom: 3,
  },
  // Active dot
  activeDot: {
    backgroundColor: '#FFFFFF',
  },
  // Button wrapper
  buttonWrapper: {
    backgroundColor: 'transparent',
    flexDirection: 'column',
    marginStart: 20,
  },
  viewBottom: {
    flex: 0.12,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    paddingHorizontal: 20,
    backgroundColor: colors.color_blue,
  },
  buttonPrev: {
    backgroundColor: 'transparent',
    flexDirection: 'column',
  },
  questionText: {
    fontSize: 16,
    // fontWeight: 'bold',
    color: '#fff',
  },
  loading: {
    position: 'absolute',
    top: 0,
    left: 0,
    right: 0,
    bottom: 0,
    backgroundColor: 'rgba(0,0,0,0.4)',
  },
  line: {
    width: '100%',
    height: 1,
    backgroundColor: 'gray',
    marginTop: '2%',
    paddingHorizontal: '5%',
  },
  viewRight: {
    flex: 0.3,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'flex-end',
  },
  viewLeft: {
    flex: 0.7,
    justifyContent: 'center',
    marginEnd: 20,
  },
  viewHeader: {
    flex: 0.12,
    flexDirection: 'row',
    alignItems: 'center',
    paddingHorizontal: 10,
    backgroundColor: colors.color_orange,
    margin: 10,
    borderRadius: 20,
  },
  btnBack: {
    backgroundColor: '#FFF',
    width: 46,
    height: 46,
    borderRadius: 23,
    justifyContent: 'center',
    alignItems: 'center',
  },
  iconBack: {
    fontSize: 30,
    color: '#9597A1',
  },
  txtTitle: {
    flex: 1,
    fontSize: 18,
    fontWeight: '500',
    color: 'black',
    marginStart: 20,
  },
  btnDone: {
    backgroundColor: colors.color_orange_2,
    borderRadius: 10,
    paddingVertical: 12,
    paddingHorizontal: 24,
    marginStart: 20,
  },
  btnTime: {
    backgroundColor: colors.color_orange_3,
    borderRadius: 10,
    paddingVertical: 6,
    paddingHorizontal: 24,
    marginStart: 20,
    flexDirection: 'row',
  },
  txtDone: {
    fontSize: 16,
    color: colors.color_orange_3,
    textAlign: 'center',
  },
  txtTime: {
    fontSize: 16,
    color: colors.color_orange_3,
    textAlign: 'center',
  },
  viewProgress: {
    height: 12,
    borderRadius: 10,
    backgroundColor: '#FFF',
    marginStart: 30,
  },
  progress: {
    // width: '0%',
    position: 'absolute',
    left: 0,
    top: 0,
    right: 0,
    bottom: 0,
    height: 12,
    borderRadius: 10,
    backgroundColor: colors.color_orange,
  },
  popup: {
    width: 60,
    height: 40,
    // marginStart: '0%',
  },
  iconClock: {
    marginEnd: 16,
    width: 24,
  },
  btnResult: {
    flexDirection: 'row',
    borderRadius: 10,
    padding: 10,
    backgroundColor: '#44C149',
    alignItems: 'center',
    justifyContent: 'center',
  },
  img_result: {
    width: 30,
    height: 30,
  },
  txtResult: {
    fontSize: 18,
    color: '#fff',
    marginStart: 8,
  },
});
