import {REQUEST_ANSWER_FROM_RESULT} from '../../../redux/actions';

export const dataQuestion = (data, isResult, dispatch) => {
  const {sections} = data;
  const arrAnswer = [];

  const sectionsData = sections.map((e, index) => {
    const section_id = e.id;
    const section_tag = e.tag;
    const arr_question = e.questions || e.answers;
    const outline_s = e.outline;
    const extra = e.extra;
    const titleSection = e.title;
    const questionsData = arr_question.map((item) => {
      if (isResult) {
        item.id = item.question_id;
        item.title = item.question_title;
        item.type = item.question_type;
        item.configurations = item.question_configuration;
        item.extra = item.question_extra;
        item.tag = item.section_tag;

        const parseAnswer = JSON.parse(item.user_answer);
        if (parseAnswer.value !== '') {
          const itemAnswer = {
            question_id: item.question_id,
            type: item.question_type,
            user_answer: JSON.parse(item.user_answer),
            question_configuration: item.question_configuration,
          };
          arrAnswer.push(itemAnswer);
        }
      } else {
        const itemAnswer = {
          section_id: section_id,
          question_id: item.id,
          type: item.type,
          user_answer: {value: ''},
          tag: section_tag,
          question_configuration: JSON.parse(item.configurations),
        };
        arrAnswer.push(itemAnswer);
      }
      let configurations_type = '';
      const configurations = JSON.parse(item.configurations);
      if (Array.isArray(configurations) && configurations.length > 0) {
        configurations_type = configurations[0].data.type;
      }
      if (item.extra && JSON.parse(item.extra).length > 0) {
        return {
          ...item,
          section_id,
          section_tag,
          outline_s,
          configurations_type,
          titleSection,
        };
      }
      return {
        ...item,
        section_id,
        section_tag,
        outline_s,
        extra,
        configurations_type,
        titleSection,
      };
    });
    return questionsData;
  });
  dispatch({type: REQUEST_ANSWER_FROM_RESULT, payload: {data: arrAnswer}});
  return sectionsData.flat();
};

export const getFileName = (link) => {
  const arrSplit = link.split('/');
  const fileName = arrSplit[arrSplit.length - 1];
  return fileName;
};
