import 'react-native-gesture-handler';

import * as React from 'react';
import {NavigationContainer} from '@react-navigation/native';
import {createStackNavigator} from '@react-navigation/stack';
import Icon from 'react-native-vector-icons/FontAwesome';
import Feather from 'react-native-vector-icons/Feather';

//screen
import HomeScreen from '../pages/home';
import StartScreen from '../pages/start';
import CongratulationsScreen from '../components/Congratulations';
import CodeTest from '../components/CodeTest';

Icon.loadFont();
Feather.loadFont();
const Stack = createStackNavigator();

const token_fake =
  'EKID eyJhbGciOiJIUzI1NiJ9.eyJzdWIiOiIxNTc4MSIsImlhdCI6MTYyMDQ0NTMyMCwiZXhwIjoxNjI0MDQ1MzIwLCJkZXZpY2VfaWQiOiJkNGU4MjExMy1lOTJmLTRmNzItOGQzMy0zOWJlMjhhNzMwZjEiLCJ0eXBlIjoiU1RVREVOVCJ9.ite0xHu6sSoFWAqBZsED1MLR0U8vDaYMRqkb0gY-Vdo';

const fixLinkTest =
  // 'https://test-dev.ekidpro.com/main/test/joined/36766/take?code=47500719-6';
  'https://test-dev.ekidpro.com/main/test/free/71/take?code=IO3JZODR33';

const params = {
  nav: 'navigation',
  domain: 'https://api-dev.ekidpro.com',
  linkUrl: fixLinkTest,
  token: token_fake,
  student_id: 15781,
  lesson_id: 'lessonId',
  isFinish: false,
  isResult: false,
  student_name: 'Tienvt',
};

const Router = (props) => {
  return (
    <NavigationContainer independent={true}>
      <Stack.Navigator initialRouteName="Home">
        <Stack.Screen
          name="Home"
          component={HomeScreen}
          options={{headerShown: false}}
          initialParams={props?.params}
          // initialParams={params}
        />
        <Stack.Screen
          name="Start"
          component={StartScreen}
          options={{headerShown: false}}
          initialParams={props?.params}
        />
        <Stack.Screen
          name="Congratulations"
          component={CongratulationsScreen}
          options={{headerShown: false}}
          initialParams={props?.params}
          // initialParams={params}
        />
        <Stack.Screen
          name="Test"
          component={CodeTest}
          options={{headerShown: false}}
          initialParams={props?.params}
        />
      </Stack.Navigator>
    </NavigationContainer>
  );
};

export default Router;
